#pragma once
#include "Entity.h"
#include "MenuTextKeyboard.h"
#define MENUTEXTDOWN_PLAYER1KEYBOARD_CREATENAME L"menutext_player1keyboard_down"
class MenuTextDown_Player1Keyboard :
    public MenuTextKeyboard
{
public:
    InputSetting_Keyboard* GetInputSetting() override;
    SDL_Scancode* GetBind(InputSetting_Keyboard* setting) override;
};

std::shared_ptr<Entity> CreateMenuTextDown_Player1Keyboard();